Page MenuHomePhabricator

The Feedback icon is pushing the "Last edited" line into the text in Greek Wikipedia
Closed, ResolvedPublic

Description

The Feedback icon is pushing the "Last edited" line into the text. This does not happen when there is enough space (e.g. with a vertical thumbnail).

See also: T96608: Remove 'Last' from the Last Edited Statement on Hovercards

Event Timeline

geraki created this task.Apr 17 2015, 6:11 AM
geraki raised the priority of this task from to High.
geraki updated the task description. (Show Details)
geraki added a project: Page-Previews.
geraki added a subscriber: geraki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 17 2015, 6:11 AM
ori added a subscriber: ori.Apr 17 2015, 6:38 AM

Hi geraki. Ευχαριστούμε για την αναφορά σφάλματος! Since I see that you are an elwiki admin, could I ask you to please put the following workaround in place in https://el.wikipedia.org/wiki/MediaWiki:Vector.css :

.mwe-popups span { font-size: 12px !important; }

A proper fix will follow shortly -- the team is aware of the issue. Thanks, and sorry!

This problem was detected earlier, the gerritt patch which fixes it was never merged.
https://gerrit.wikimedia.org/r/#/c/202627/2/resources/ext.popups.core.less

Current font size is 15 px with 24 px line height on greek wikipedia.
It needs to be 14px with 20 px line height.

I put the workaround. Thanks. I assume it needs to be removed when the patch is merged.

Change 204712 had a related patch set uploaded (by Prtksxna):
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204712

I am sorry about this!

The changes in T94957: Hovercards text size, leading and whitespace management and reducing the font-size will resolve this for now.


(add code from my common.css to see changes for now)


The font-size change is only a stopgap solution. @Vibhabamba and I are looking into other ways for fixing this as well.

Is there a chance that the localization string can be made shorter so that it doesn't break into the other line?

Change 204712 merged by jenkins-bot:
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204712

I am afraid that it can't. The only way to shorten it, it would be to change it to "Ενημερώθηκε" but that stands as "Updated" which implies many different things to the reader.

Prtksxna added a comment.EditedApr 17 2015, 9:46 AM

I am afraid that it can't. The only way to shorten it, it would be to change it to "Ενημερώθηκε" but that stands as "Updated" which implies many different things to the reader.

Oh, alright! Thanks for looking into this.
We'll continue to look at other alternatives.

Change 204799 had a related patch set uploaded (by Ori.livneh):
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204799

Change 204799 merged by Ori.livneh:
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204799

Change 204801 had a related patch set uploaded (by Ori.livneh):
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204801

Change 204801 merged by Ori.livneh:
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204801

Change 204806 had a related patch set uploaded (by Ori.livneh):
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204806

Change 204806 merged by Ori.livneh:
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204806

Change 204807 had a related patch set uploaded (by Ori.livneh):
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204807

Change 204807 merged by Ori.livneh:
Reduce font-size of timestamp text

https://gerrit.wikimedia.org/r/204807

ori added a comment.Apr 17 2015, 5:13 PM

I put the workaround. Thanks. I assume it needs to be removed when the patch is merged.

@geraki, the patch has been merged, so the on-wiki workaround can be removed. Thanks again for your assistance.

With the temporary fixes in place, are things in an acceptable state? I notice that some hovercards still look broken. How severe is the breakage, in your opinion? Should we disable the extension on elwiki for now?

Vibhabamba added a comment.EditedApr 17 2015, 11:43 PM

Catalan Wikipedia

The type size and leading seems to have resolved the Catalan Wikipedia Issue.
For Catalan Wikipedia, @pginer also removed the word 'Last' which makes the string much more contained within the hovercard width.

Greek Wikipedia

The type size change here has not fully resolved the issue, as you can see in the first two cards. We may need to remove the word 'last' in order to resolve this completely. Increasing the height of the card/ increasing padding/margins create extra whitespace for other card layouts, and are non ideal.

Just a quick note here that mobile web truncates the statement instead of wrapping to two lines.
cc: @kaldari

Just a quick note here that mobile web truncates the statement instead of wrapping to two lines.

If we truncate the string we might be left with just "Τελευταία επεξεργασία…", which translates to "Last edited…". This doesn't provide any information to the reader.

We may need to remove the word 'last' in order to resolve this completely.

If it alright if we do this? Is there another word that is better suited here?

WARNING: Changing the translation string will affect all languages.

@Prtksxna
Removing it altogether is a good idea, but I suggest we request removal of 'last' from the greek translation for now.
Thoughts?

Doing special things for particular languages to fit the design is almost never a good idea. Some languages are even longer:
https://translatewiki.net/w/i.php?title=Special:Translations&message=MediaWiki%3APopups-last-edited%2Fhe

But if I may, I don't see why is this message needed at the hovercard at all.

Quiddity updated the task description. (Show Details)Apr 21 2015, 12:07 AM
Quiddity set Security to None.

Thanks for your comment @Amire80
I definitely see your point but we also feel like Having the last edited is useful and reflects the live nature of Wikipedia content to our readers. It reminds them that articles are regularly updated, so summaries are fresh.

We have also carried 'Last edited' on mobile web and it has received quite a bit of positive response from Editors.
I'm not totally opposed to removing it, but we could try one idea to make it more concise -

Propose removal of the word 'Last' from the 'Last edited x hours ago'
This will now read 'Edited {x hours/ n days/ n months} ago'

@Jaredzimmerman please add any additional comments that you may have here

@Jaredzimmerman please add any additional comments that you may have here

Tagging the right @Jaredzimmerman-WMF so he gets a notification

sorry, I already said yes on email. I think removing "last" is fine.

I have removed "last" locally at el.wikipedia. It seems to solve the problem (although using "last" made the message clearer).

I'm not totally opposed to "(last) edited", I just don't really understand why is it needed at the hovercard.

If it really has to be on the hovercard, assume that it can be longer.

@Prtksxna Padding bug for cards with a portrait layouts has re-appeared.

@Prtksxna Padding bug for cards with a portrait layouts has re-appeared.

As per my comment in T94957#1200996, this was never resolved. Let's continue discussion on the relevant issue instead of here.

Text run in issue on greek wikipedia seems completely resolved.

Prtksxna closed this task as Resolved.May 1 2015, 9:35 AM
Prtksxna claimed this task.
Quiddity moved this task from Backlog to Done on the Page-Previews board.Jun 21 2015, 10:48 PM